Bug 1902029 - [sig-builds][Feature:Builds][valueFrom] process valueFrom in build strategy environment variables should successfully resolve valueFrom in docker build environment variables
Summary: [sig-builds][Feature:Builds][valueFrom] process valueFrom in build strategy e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.6.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.6.z
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
: 1902215 1902221 (view as bug list)
Depends On: 1901982
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-26 15:47 UTC by Joel Speed
Modified: 2021-01-28 19:25 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1901192
Environment:
[sig-builds][Feature:Builds][valueFrom] process valueFrom in build strategy environment variables should successfully resolve valueFrom in docker build environment variables [sig-instrumentation][sig-builds][Feature:Builds] Prometheus when installed on the cluster should start and expose a secured proxy and verify build metrics [sig-builds][Feature:Builds] build can reference a cluster service with a build being created from new-build should be able to run a build that references a cluster service [sig-builds][Feature:Builds] Optimized image builds should succeed [sig-builds][Feature:Builds] s2i build with a root user image should create a root build and pass with a privileged SCC [sig-builds][Feature:Builds] prune builds based on settings in the buildconfig should prune completed builds based on the successfulBuildsHistoryLimit setting [sig-builds][Feature:Builds] Multi-stage image builds should succeed
Last Closed: 2020-12-21 13:23:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift origin pull 25721 0 None closed Bug 1902029: move off docker.io in build e2e's (approximate recent 4.7 changes) 2021-01-28 19:24:35 UTC
Red Hat Product Errata RHSA-2020:5614 0 None None None 2020-12-21 13:24:24 UTC

Comment 1 Gabe Montero 2020-11-30 21:06:38 UTC
*** Bug 1902215 has been marked as a duplicate of this bug. ***

Comment 2 Gabe Montero 2020-11-30 21:08:16 UTC
*** Bug 1902221 has been marked as a duplicate of this bug. ***

Comment 3 Gabe Montero 2020-11-30 21:22:16 UTC
So in addition what I noted in https://bugzilla.redhat.com/show_bug.cgi?id=1901982#c6 wrt docker.io throttling, there is additional the question that we need to sort out with Clayton as to where his CI overall will be backported
to releases that have GA'ed like 4.6.z 

If not, we will look at porting that "subset on hold" I noted in https://bugzilla.redhat.com/show_bug.cgi?id=1901982#c6 to 4.6.z if need be.

Comment 4 Gabe Montero 2020-12-02 18:58:08 UTC
Clayton's 4.7 PR has been tagged for merge.

Once it does, I'll set this bug's depends field to point to https://bugzilla.redhat.com/show_bug.cgi?id=1816812

and then associate this bug with https://github.com/openshift/origin/pull/25721
which is a simplified build specific 4.6 analog of Clayton's master branch PR https://github.com/openshift/origin/pull/24887

Comment 6 Gabe Montero 2020-12-04 14:20:41 UTC
Clayton's 4.7 PR has merged and is on QA.  There is mention of considering 4.6 backports but nothing tangible yet.

I've for now associated https://github.com/openshift/origin/pull/25721 with this 4.6.z bug ... unless the fuller 4.6 backport gains traction, we will attempt
to get this approved/merged to aid 4.6.z build e2e's in the interim.

Comment 7 Gabe Montero 2020-12-07 12:10:36 UTC
I have a 4.7 bug to pick up a couple of build e2e stragglers, which are included in this BZ's PR

switched dependents ... among other things 1816812 's verification will include the actual "run in disconnected" scenario
which is a longer poll.

this bz is effectively parts from both 4.7 bz's for 4.6.z

Comment 12 errata-xmlrpc 2020-12-21 13:23:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: OpenShift Container Platform 4.6.9 security and bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5614


Note You need to log in before you can comment on or make changes to this bug.